remove plenv references

Sun, 09 Jan 2022 22:38:03 -0600

author
Meredith Howard <mhoward@roomag.org>
date
Sun, 09 Jan 2022 22:38:03 -0600
changeset 970
498189926551
parent 969
28111ba4e573
child 971
7f391ae6b12b

remove plenv references

bin/cpm file | annotate | diff | comparison | revisions
bin/pg_format file | annotate | diff | comparison | revisions
bin/setup-cpan-faves file | annotate | diff | comparison | revisions
--- a/bin/cpm
+++ b/bin/cpm
@@ -6,7 +6,7 @@ install_it() {
   curl -fsSL --compressed https://git.io/cpm |
     perl - install -g App::cpm
 
-  plenv rehash || :
+  asdf reshim perl || :
 }
 
 stubexec "$@"
--- a/bin/pg_format
+++ b/bin/pg_format
@@ -4,7 +4,7 @@ set -eu
 
 install_it() {
   cpanm -n 'https://github.com/darold/pgFormatter.git'
-  plenv rehash || :
+  asdf reshim perl || :
 }
 
 stubexec "$@"
--- a/bin/setup-cpan-faves
+++ b/bin/setup-cpan-faves
@@ -24,12 +24,6 @@ dists=(
   Getopt::Long::Descriptive
 )
 
-if ! (command -v cpm && cpm -V) &>/dev/null; then
-  cpm() {
-    curl -fsSL --compressed https://git.io/cpm | perl - $@
-  }
-fi
-
 cpm install -g "${dists[@]}"
 
-plenv rehash || :
+asdf reshim perl || :

mercurial